//lvjing5

precision lowp float;

varying highp vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform int disableEffect;

void main()
{
	 if (disableEffect == 2) {
         gl_FragColor = vec4(0, 0, 0, 1.0);
         return;
     }

     if (disableEffect == 1) {
         gl_FragColor = texture2D(inputImageTexture, textureCoordinate);
         return;
     }

vec3 texel = texture2D(inputImageTexture, textureCoordinate).rgb;

//=======

texel = vec3(dot(vec3(0.3, 0.6, 0.1), texel));
texel = vec3(texture2D(inputImageTexture2, vec2(texel.r, .16666)).r);
gl_FragColor = vec4(texel, 1.0);
}