#extension GL_OES_EGL_image_external : require
precision mediump float;
varying vec2 textureCoordinate;

uniform samplerExternalOES s_texture;

//是否为前置摄像头
uniform bool isFrontCamera;
uniform int orientation;

void main()
{
 vec2 maskCoord = isFrontCamera ? (orientation == 90 ? vec2(textureCoordinate.y, 1.0 - textureCoordinate.x) : vec2(1.0 - textureCoordinate.y, textureCoordinate.x)) : vec2(1.0 - textureCoordinate.y, 1.0 - textureCoordinate.x);
 gl_FragColor = texture2D(s_texture, maskCoord);
}